[@bigcommerce/checkout-sdk](../README.md) / ExtraFieldConfig

# Interface: ExtraFieldConfig

## Table of contents

### Properties

- [defaultValue](ExtraFieldConfig.md#defaultvalue)
- [maxLength](ExtraFieldConfig.md#maxlength)
- [maxValue](ExtraFieldConfig.md#maxvalue)
- [numberOfRows](ExtraFieldConfig.md#numberofrows)
- [options](ExtraFieldConfig.md#options)

## Properties

### defaultValue

• `Optional` **defaultValue**: `string` \| `number`

___

### maxLength

• `Optional` **maxLength**: `number`

___

### maxValue

• `Optional` **maxValue**: `number`

___

### numberOfRows

• `Optional` **numberOfRows**: `number`

___

### options

• `Optional` **options**: `string`[]
